> ## Documentation Index
> Fetch the complete documentation index at: https://docs.idalia.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get asset categories

> Get asset categories



## OpenAPI

````yaml https://spec.speakeasy.com/idalia-r5y/idalia/api-documentation-with-code-samples get /asset-categories
openapi: 3.0.0
info:
  title: API Documentation
  version: 1.0.0
  description: This is the OpenAPI specification for your project.
servers:
  - url: https://idalia.app/api
    description: Idalia API server
security: []
paths:
  /asset-categories:
    get:
      tags:
        - Asset-categories
      summary: Get asset categories
      description: Get asset categories
      operationId: getAssetCategories
      responses:
        '200':
          description: Returns array of asset category objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetCategoryQueryResponse'
        '400':
          $ref: '#/components/responses/400'
        '500':
          $ref: '#/components/responses/500'
      x-codeSamples:
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Idalia } from "idalia";

            const idalia = new Idalia({
              apiKeyAuth: process.env["IDALIA_API_KEY_AUTH"] ?? "",
            });

            async function run() {
              const result = await idalia.assetCategories.get();

              console.log(result);
            }

            run();
components:
  schemas:
    AssetCategoryQueryResponse:
      type: array
      items:
        $ref: '#/components/schemas/AssetCategoryResponse'
    AssetCategoryResponse:
      type: object
      properties:
        id:
          type: string
          description: The asset category ID
        createdAt:
          type: string
          description: Datetime when the category was created
        updatedAt:
          type: string
          description: Datetime when the category was last updated
        workspaceId:
          type: string
          description: ID of the workspace the category belongs to
        name:
          type: string
          description: The category name
        description:
          type: string
          nullable: true
          description: Optional description
        parentId:
          type: string
          nullable: true
          description: The parent asset category
      required:
        - id
        - createdAt
        - updatedAt
        - workspaceId
        - name
  responses:
    '400':
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Invalid request parameters
              code:
                type: string
                example: '400'
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: An unexpected error occurred
              code:
                type: string
                example: '500'

````